RUNCON(1)

NAZWA
runcon - uruchamia polecenie w określonym kontekście bezpieczeństwa

SKŁADNIA
runcon KONTEKST POLECENIE [argumenty]
runcon [ -c ] [-u UŻYTKOWNIK] [-r ROLA] [-t TYP] [-l ZAKRES] POLECENIE [argumenty]

OPIS
Uruchamia POLECENIE w określonym w sposób zupełny KONTEKŚCIE lub w bieżącym bądź przejściowym kontekście bezpieczeństwa zmodyfikowanym przez jedną lub więcej wartości POZIOM, ROLA, TYP i UŻYTKOWNIK.

Jeśli nie podano żadnej z opcji -c, -t, -u, -r lub -l, to pierwszy argument jest używany jako pełny kontekst. Każdy dodatkowy argument po POLECENIU jest interpretowany jako argument do POLECENIA.

Proszę zwrócić uwagę, że jedynie uważnie dostosowane konteksty mogą się poprawnie uruchomić.

Jeśli nie podano KONTEKSTU SELinux ani POLECENIA, wyświetlany jest bieżący kontekst bezpieczeństwa.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

KONTEKST
    kompletny kontekst bezpieczeństwa

-c, --compute
    oblicza przejściowy kontekst procesu przed zmodyfikowaniem go

-t, --type=TYP
    typ (do tej samej roli co proces nadrzędny)

-u, --user=UŻYTKOWNIK
    identyfikator użytkownika

-r, --role=ROLA
    rola

-l, --range=ZAKRES
    zakres poziomów

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

AUTOR
Napisane przez Russella Cokera.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2020 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja: <https://www.gnu.org/software/coreutils/runcon>
lub lokalnie, za pomocą info '(coreutils) runcon invocation'

T◈UMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.